| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__EAGroupData Struct Reference
Executive Assistant Group

EA Group Data. More...

`#include <osv-if-doc.h>`

## Public Attributes
unsp__EAGroupName | EAGroupName
| The name of the new executive assistant group. More...
enum unsp__EAGroupType * | EAGroupType
| The type of the E/A group. More...
xsd__string | ServerAddress
| Server IP of the EA group. More...
xsd__int * | ServerPort
| Server Port of the E/A group. More...
xsd__boolean * | NotificPeerAssist
| Flag indicating if notification of peer assistant is required. More...
xsd__int * | NotificPeerAssistTimeDelay
| Value indicating the delay in seconds for the notification of Assistant. More...
xsd__boolean * | ScreenQueingMode
| Flag indicating if a Screen Queuing mode is needed. More...

## Detailed Description

EA Group Data.

## Member Data Documentation

## ◆ EAGroupName

unsp__EAGroupName unsp__EAGroupData::EAGroupName

The name of the new executive assistant group.

required: true

See also
  unsp__EAGroupName

## ◆ EAGroupType

enum unsp__EAGroupType* unsp__EAGroupData::EAGroupType

The type of the E/A group.

required: true
default value[range]: NA

## ◆ NotificPeerAssist

xsd__boolean* unsp__EAGroupData::NotificPeerAssist

Flag indicating if notification of peer assistant is required.

required: false
default value[range]: false

## ◆ NotificPeerAssistTimeDelay

xsd__int* unsp__EAGroupData::NotificPeerAssistTimeDelay

Value indicating the delay in seconds for the notification of Assistant.

required: false
default value[range]: NA

## ◆ ScreenQueingMode

xsd__boolean* unsp__EAGroupData::ScreenQueingMode

Flag indicating if a Screen Queuing mode is needed.

required: false
default value[range]: NA

## ◆ ServerAddress

xsd__string unsp__EAGroupData::ServerAddress

Server IP of the EA group.

required: false
default value[range]: NA

## ◆ ServerPort

xsd__int* unsp__EAGroupData::ServerPort

Server Port of the E/A group.

required: false
default value[range]: NA

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h